# PTelnetSocket::OptionInfo Struct Reference

`#include <telnet.h>`

List of all members.

## Public Types

| IsNo
| IsYes
| WantNo
| WantNoQueued
| WantYes
| WantYesQueued
enum | { IsNo, IsYes, WantNo, WantNoQueued, WantYes, WantYesQueued }

## Public Attributes

unsigned | weCan:1
unsigned | ourState:3
unsigned | theyShould:1
unsigned | theirState:3

## Member Enumeration Documentation

anonymous enum

Enumerator:

  IsNo |
  IsYes |
  WantNo |
  WantNoQueued |
  WantYes |
  WantYesQueued |

## Member Data Documentation

unsigned PTelnetSocket::OptionInfo::ourState

unsigned PTelnetSocket::OptionInfo::theirState

unsigned PTelnetSocket::OptionInfo::theyShould

unsigned PTelnetSocket::OptionInfo::weCan

The documentation for this struct was generated from the following file:

- telnet.h